import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiTrunkGetResultModel(
    _base.BaseAPIResultModel,
    _nested.TrunkAPIResultNM,
):
    pass


class CloudapiTrunkGetProtocol(_base.BaseGetAPIFunctionProtocol):
    def get(
        self,
        *,
        id: int,
    ) -> CloudapiTrunkGetResultModel:
        ...
